Package org.codehaus.janino.util

# Class ClassFile.StackMapTableAttribute.StackMapFrame

java.lang.Object
org.codehaus.janino.util.ClassFile.StackMapTableAttribute.StackMapFrame

Direct Known Subclasses:
  `ClassFile.StackMapTableAttribute.AppendFrame`, `ClassFile.StackMapTableAttribute.ChopFrame`, `ClassFile.StackMapTableAttribute.FullFrame`, `ClassFile.StackMapTableAttribute.SameFrame`, `ClassFile.StackMapTableAttribute.SameFrameExtended`, `ClassFile.StackMapTableAttribute.SameLocals1StackItemFrame`, `ClassFile.StackMapTableAttribute.SameLocals1StackItemFrameExtended`

Enclosing class:
  `ClassFile.StackMapTableAttribute`

public abstract static class ClassFile.StackMapTableAttribute.StackMapFrame extends Object
Representation of an entry in the `ClassFile.StackMapTableAttribute`.

## Constructor Summary

Constructors
Constructor
Description
`StackMapFrame(int offsetDelta)`

## Method Summary

Modifier and Type
Method
Description
`abstract <T> T`
`accept(ClassFile.StackMapTableAttribute.StackMapFrameVisitor<T> smfv)`
Invokes the "right" `visit...()` method of the `ClassFile.StackMapTableAttribute.StackMapFrameVisitor`.
`abstract void`
`store(DataOutputStream dos)`
Serializes this record and writes it to the given `DataOutputStream`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StackMapFrame

public StackMapFrame(int offsetDelta)

## Method Details

### accept

public abstract <T> T accept(ClassFile.StackMapTableAttribute.StackMapFrameVisitor<T> smfv)
Invokes the "right" `visit...()` method of the `ClassFile.StackMapTableAttribute.StackMapFrameVisitor`.

### store

public abstract void store(DataOutputStream dos) throws IOException
Serializes this record and writes it to the given `DataOutputStream`.

Throws:
  `IOException`